/// <reference types="node" />
import http from 'http';
import { BasicAuthResult } from 'basic-auth';
import { BaseHandler, BaseRequest, RequestContext } from './util/handler';
import { Client } from './session';
import ProtocolVersion from '../types/ocpp/version';
declare abstract class AuthHandler extends BaseHandler<AuthRequest> {
}
declare enum AcceptanceState {
    Pending = 0,
    Accepted = 1,
    Rejected = 2
}
declare class AuthRequest extends BaseRequest implements AuthRequest {
    private _state;
    private _statusCode;
    readonly client: Client;
    readonly protocol: ProtocolVersion;
    readonly req: http.IncomingMessage;
    constructor(context: RequestContext, clientId: string, protocol: ProtocolVersion, req: http.IncomingMessage);
    accept(): void;
    reject(statusCode?: number): void;
    get basicAuth(): BasicAuthResult | undefined;
    get isEncrypted(): boolean;
    get isCertificateValid(): boolean;
    get state(): AcceptanceState;
    get statusCode(): number;
}
export default AuthHandler;
export { AuthRequest, AcceptanceState };
