import { Client } from './session';
import MessageType from '../types/ocpp/type';
import OcppMessage, { Payload, InboundMessage, OutboundMessage } from './message';
type RPCError = 'FormatViolation' | 'GenericError' | 'InternalError' | 'MessageTypeNotSupported' | 'NotImplemented' | 'NotSupported' | 'OccurrenceConstraintViolation' | 'PropertyConstraintViolation' | 'ProtocolError' | 'RpcFrameworkError' | 'SecurityError' | 'TypeConstraintViolation';
interface CallError extends OcppMessage {
    readonly type: MessageType.CALLERROR;
    code: RPCError;
    description: string;
    details: Payload;
}
declare class InboundCallError extends InboundMessage implements CallError {
    readonly type: MessageType.CALLERROR;
    code: RPCError;
    description: string;
    details: Payload;
    constructor(sender: Client, id: string, code?: RPCError, description?: string, details?: Payload);
}
declare class OutboundCallError extends OutboundMessage implements CallError {
    readonly type: MessageType.CALLERROR;
    code: RPCError;
    description: string;
    details: Payload;
    constructor(recipient: Client, id: string, code?: RPCError, description?: string, details?: Payload);
}
export default CallError;
export { InboundCallError, OutboundCallError, RPCError };
