"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutboundCallError = exports.InboundCallError = void 0;
const type_1 = __importDefault(require("../types/ocpp/type"));
const message_1 = require("./message");
class InboundCallError extends message_1.InboundMessage {
    constructor(sender, id, code = 'GenericError', description = '', details = {}) {
        super(sender, id);
        this.type = type_1.default.CALLERROR;
        this.code = code;
        this.description = description;
        this.details = details;
    }
}
exports.InboundCallError = InboundCallError;
class OutboundCallError extends message_1.OutboundMessage {
    constructor(recipient, id, code = 'GenericError', description = '', details = {}) {
        super(recipient, id);
        this.type = type_1.default.CALLERROR;
        this.code = code;
        this.description = description;
        this.details = details;
    }
}
exports.OutboundCallError = OutboundCallError;
//# sourceMappingURL=callerror.js.map