"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_tags_1 = require("common-tags");
const auth_1 = __importDefault(require("../auth"));
class PreconditionsHandler extends auth_1.default {
    async handle(request) {
        const { options } = request.context.endpoint;
        if (request.context.endpoint.isConnected(request.client.id)) {
            request.context.logger.warn(`Client with id ${request.client.id} is already connected`);
            request.reject(403);
            return request;
        }
        if (!options.authRequired) {
            return super.handle(request);
        }
        if (request.isCertificateValid) {
            request.accept();
        }
        else if (!request.basicAuth) {
            request.context.logger.warn((0, common_tags_1.oneLine) `Neither BASIC credentials nor valid certificate
        were supplied by client with id ${request.client.id}`);
            request.reject();
        }
        return super.handle(request);
    }
}
exports.default = PreconditionsHandler;
//# sourceMappingURL=auth-preconditions.js.map