"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const handler_1 = require("../handler");
const message_1 = require("../message");
const callerror_1 = require("../callerror");
class DefaultMessageHandler extends handler_1.InboundMessageHandler {
    constructor(logger) {
        super();
        this.logger = logger;
    }
    async handle(message) {
        if (message instanceof message_1.RespondableMessage && message.isResponded) {
            return message;
        }
        this.logger.warn(`Client with id ${message.sender.id} sent valid but unsupported message`);
        throw new callerror_1.OutboundCallError(message.sender, message.id, 'NotSupported', 'Message is valid but currently not supported');
    }
}
exports.default = DefaultMessageHandler;
//# sourceMappingURL=message-default.js.map