import { InboundMessageHandler } from '../handler';
import OcppAction from '../../types/ocpp/action';
import { Payload } from '../message';
import { InboundCall } from '../call';
import { InboundCallResult } from '../callresult';
type ActionHandlerCallback = (data: Payload) => Promise<Payload>;
declare class ActionHandler extends InboundMessageHandler {
    private action;
    private handler;
    constructor(action: OcppAction, handler: ActionHandlerCallback);
    handle(message: InboundCall): Promise<import("../message").InboundMessage>;
}
type IdHandlerCallback = (data: Payload) => Promise<void>;
declare class IdHandler extends InboundMessageHandler {
    private id;
    private handler;
    constructor(id: string, handler: IdHandlerCallback);
    handle(message: InboundCallResult): Promise<import("../message").InboundMessage>;
}
export { ActionHandler, IdHandler, ActionHandlerCallback, IdHandlerCallback };
