"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdHandler = exports.ActionHandler = void 0;
const handler_1 = require("../handler");
const call_1 = require("../call");
const callresult_1 = require("../callresult");
class ActionHandler extends handler_1.InboundMessageHandler {
    constructor(action, handler) {
        super();
        this.action = action;
        this.handler = handler;
    }
    async handle(message) {
        if (!(message instanceof call_1.InboundCall) || this.action !== message.action) {
            return await super.handle(message);
        }
        const responseData = await this.handler(message.data);
        if (!responseData) {
            return await super.handle(message);
        }
        const response = new callresult_1.OutboundCallResult(message.sender, message.id, responseData);
        await message.respond(response);
    }
}
exports.ActionHandler = ActionHandler;
class IdHandler extends handler_1.InboundMessageHandler {
    constructor(id, handler) {
        super();
        this.id = id;
        this.handler = handler;
    }
    async handle(message) {
        if (this.id !== message.id) {
            return await super.handle(message);
        }
        await this.handler(message.data);
    }
}
exports.IdHandler = IdHandler;
//# sourceMappingURL=message-properties.js.map