"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutboundPendingMessageHandler = exports.InboundPendingMessageHandler = void 0;
const handler_1 = require("../handler");
const call_1 = require("../call");
class InboundPendingMessageHandler extends handler_1.InboundMessageHandler {
    constructor(sessions) {
        super();
        this.sessions = sessions;
    }
    async handle(message) {
        const session = this.sessions.get(message.sender.id);
        if (!(message instanceof call_1.InboundCall) &&
            session.pendingOutboundMessage &&
            message.id === session.pendingOutboundMessage.id) {
            session.pendingOutboundMessage = null;
        }
        if (message instanceof call_1.InboundCall && !session.pendingInboundMessage) {
            session.pendingInboundMessage = message;
        }
        session.lastInboundMessage = message;
        return await super.handle(message);
    }
}
exports.InboundPendingMessageHandler = InboundPendingMessageHandler;
class OutboundPendingMessageHandler extends handler_1.OutboundMessageHandler {
    constructor(sessions) {
        super();
        this.sessions = sessions;
    }
    async handle(message) {
        const session = this.sessions.get(message.recipient.id);
        if (!(message instanceof call_1.OutboundCall) &&
            session.pendingInboundMessage &&
            message.id === session.pendingInboundMessage.id) {
            session.pendingInboundMessage = null;
        }
        if (message instanceof call_1.OutboundCall && !session.pendingOutboundMessage) {
            session.pendingOutboundMessage = message;
        }
        session.lastOutboundMessage = message;
        return await super.handle(message);
    }
}
exports.OutboundPendingMessageHandler = OutboundPendingMessageHandler;
//# sourceMappingURL=session-properties.js.map