"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const auth_1 = __importDefault(require("../auth"));
class SessionTimeoutHandler extends auth_1.default {
    handle(request) {
        const endpoint = request.context.endpoint;
        const timeout = endpoint.options.sessionTimeout;
        const dropAfterTimeout = () => {
            var _a;
            if (!endpoint.isConnected(request.client.id)) {
                return;
            }
            const session = request.context.endpoint.sessions.get(request.client.id);
            const difference = new Date().getTime() - ((_a = session.lastInboundMessage) === null || _a === void 0 ? void 0 : _a.timestamp.getTime());
            if (difference > timeout) {
                endpoint.drop(request.client.id, true);
                endpoint.removeListener('client_connected', listener);
                request.context.logger.warn(`Dropping client with id ${request.client.id} due to timeout`);
            }
            setTimeout(dropAfterTimeout, timeout);
        };
        const listener = (session) => {
            if (request.client.id === session.client.id) {
                setTimeout(dropAfterTimeout, timeout);
            }
        };
        endpoint.on('client_connected', listener);
        return super.handle(request);
    }
}
exports.default = SessionTimeoutHandler;
//# sourceMappingURL=session-timeout.js.map