/// <reference types="node" />
import { SecureContextOptions } from 'tls';
import ProtocolVersion from '../types/ocpp/version';
import OcppAction from '../types/ocpp/action';
type EndpointOptions = Partial<{
    port: number;
    hostname: string;
    route: string;
    tls: SecureContextOptions;
    protocols: Readonly<ProtocolVersion[]>;
    actionsAllowed: Readonly<OcppAction[]>;
    maxConnections: number;
    sessionTimeout: number;
    authRequired: boolean;
    basicAuth: boolean;
    certificateAuth: boolean;
    validation: boolean;
}>;
declare const defaultOptions: EndpointOptions;
export default EndpointOptions;
export { defaultOptions };
