"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultOptions = void 0;
const version_1 = require("../types/ocpp/version");
const action_1 = require("../types/ocpp/action");
const defaultOptions = {
    port: process.env.PORT || process.env.NODE_ENV !== 'production' ? 8080 : 80,
    hostname: 'localhost',
    route: '/ocpp',
    protocols: version_1.ProtocolVersions,
    actionsAllowed: action_1.OcppActions,
    maxConnections: 511,
    sessionTimeout: 30000,
    authRequired: true,
    basicAuth: true,
    certificateAuth: false,
    validation: true,
};
exports.defaultOptions = defaultOptions;
//# sourceMappingURL=options.js.map