"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a, _b;
Object.defineProperty(exports, "__esModule", { value: true });
exports.logObject = void 0;
const winston_1 = __importStar(require("winston"));
const lodash_1 = __importDefault(require("lodash"));
const message_1 = __importDefault(require("../message"));
const config = {
    transports: [new winston_1.transports.Console({})],
    level: (_b = (_a = process.env.LOG_LEVEL) === null || _a === void 0 ? void 0 : _a.toLowerCase()) !== null && _b !== void 0 ? _b : (process.env.NODE_ENV !== 'production' ? 'debug' : 'info'),
    levels: {
        error: 0,
        warn: 1,
        info: 2,
        debug: 3,
        trace: 4,
    },
    format: winston_1.format.combine((0, winston_1.format)(log => {
        log.level = log.level.toUpperCase();
        return log;
    })(), winston_1.format.colorize(), winston_1.format.timestamp({
        format: 'YYYY-MM-DD HH:mm:ss',
    }), winston_1.format.printf(log => {
        if (log.message instanceof message_1.default) {
            return JSON.stringify(lodash_1.default.pick(log.message, [
                'id',
                'type',
                'action',
                'data',
                'code',
                'description',
                'details',
            ]), null, 2);
        }
        if (typeof log.message === 'object' || Array.isArray(log.message)) {
            log.message = logObject(log.message);
        }
        return `${log.timestamp} [${log.level}] ` + log.message;
    })),
};
winston_1.default.addColors({ trace: 'grey' });
const logObject = (object) => JSON.stringify(object, null, '  ');
exports.logObject = logObject;
exports.default = winston_1.default.createLogger(config);
//# sourceMappingURL=logger.js.map