import Call, { InboundCall, OutboundCall } from '../../common/call';
import { InboundCallResult, OutboundCallResult } from '../../common/callresult';
type CallPayload<TMessage> = TMessage extends Call<infer TPayload> ? TPayload : never;
type CallResponse<TMessage> = TMessage extends OutboundCall<any, infer TResponse> ? TResponse : TMessage extends InboundCall<any, infer TResponse> ? TResponse : never;
type CallResponsePayload<TMessage> = TMessage extends InboundCall<any, infer TResponse> ? CallResultPayload<TResponse> : TMessage extends OutboundCall<any, infer TResponse> ? CallResultPayload<TResponse> : never;
type CallResultPayload<TMessage> = TMessage extends InboundCallResult<infer TPayload> ? TPayload : TMessage extends OutboundCallResult<infer TPayload> ? TPayload : never;
export { CallPayload, CallResponse, CallResponsePayload, CallResultPayload };
