import { Logger } from 'ts-log';
import { Validator } from 'jsonschema';
import { Payload } from '../common/message';
import OcppAction from '../types/ocpp/action';
import MessageType from '../types/ocpp/type';
import ProtocolVersion from '../types/ocpp/version';
type ValidatorOptions = {
    schemaDir?: Map<ProtocolVersion[], string>;
};
declare class WsValidator {
    protected options: ValidatorOptions;
    protected logger: Logger;
    protected validator: Validator;
    protected requestSchemas: Map<OcppAction, Record<string, string>>;
    protected responseSchemas: Map<OcppAction, Record<string, string>>;
    constructor(options?: ValidatorOptions, logger?: Logger);
    validate(type: MessageType.CALL | MessageType.CALLRESULT, action: OcppAction, data: Payload, protocol: ProtocolVersion): Promise<import("jsonschema").ValidatorResult>;
    protected loadSchema(type: 'request' | 'response', action: OcppAction, protocol: ProtocolVersion): Promise<Record<string, any>>;
}
export default WsValidator;
export { ValidatorOptions };
